Bug 1368574 - Needs rebuild against latest PHP, does not currently build
Summary: Needs rebuild against latest PHP, does not currently build
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: maniadrive
Version: 26
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F25AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-08-19 20:11 UTC by Adam Williamson
Modified: 2018-05-29 12:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:14:59 UTC
Type: Bug


Attachments (Terms of Use)
more fixes for php7 (3.13 KB, patch)
2016-08-21 17:57 UTC, Sergio Basto
no flags Details | Diff
maniadrive-1.2-zval_has_no_member_named_type.patch (4.21 KB, patch)
2016-08-21 18:28 UTC, Sergio Basto
no flags Details | Diff
maniadrive.spec.patch (665 bytes, patch)
2016-08-21 18:29 UTC, Sergio Basto
no flags Details | Diff

Description Adam Williamson 2016-08-19 20:11:19 UTC
The current maniadrive package is not installable on Fedora 25 or Rawhide due to a PHP version bump. This prevents the Games spin from composing. It needs a rebuild. I did try a straight rebuild but the build fails:

http://koji.fedoraproject.org/koji/taskinfo?taskID=15310075

Sorry, but I'm not really keen to fix it myself, given that I can't even find the damn maniadrive source repository. I just noticed the Games spin compose fail and wanted to report this.

Comment 1 Adam Williamson 2016-08-19 20:12:18 UTC
Proposing for an Alpha freeze exception (as this prevents a non-blocking image from composing).

Comment 2 Bruno Wolff III 2016-08-19 20:48:55 UTC
Sorry about not noticing this sooner. For some reason I expect when people break stuff they will clean up the mess and forget to look for breakage when I'm not changing things.
As a potentially temporary measure I yanked maniadrive from the games spin. That way if we do an RC, we should get a games spin build.
Upstream for this package looks long dead. I'll see if I can get it working with php7. Getting it to build didn't look too bad given the errors I saw, but I am less confident about getting it to work.

Comment 3 Bruno Wolff III 2016-08-20 02:19:07 UTC
I looked at fixing the code for a while but maniadrive seemed to be doing a bit more complex stuff than normal and haven't found anything that covers how to convert the more complex dealings with zvals from php 5 to php 7. The php guys could probably do this with a lot less effort than I need.

Comment 4 Hans de Goede 2016-08-21 09:45:19 UTC
Maniadrive maintainer here, note that I've orphaned maniadrive for f25+ (a while back already), but since I'm still maintaining it for f24 and older bugzilla still assigns new tickets to me.

Maniadrive is a nice game, so if we can find a volunteer with the necessary php skill that would be great, but otherwise removing it from the games spin is the right thing to do and this bug can be closed (wontfix).

Comment 5 Bruno Wolff III 2016-08-21 17:17:18 UTC
I posted a request to the games list for a new maintainer. Justin has been trying to rejuvenate the Games SIG and maybe someone can be found.

Comment 6 Sergio Basto 2016-08-21 17:57:04 UTC
Created attachment 1192632 [details]
more fixes for php7

now it stops in 

raydium/headers/../php_wrappers.c:208:1: error: 'RETURN_STRING' undeclared (first use in this function)

Comment 7 Sergio Basto 2016-08-21 18:28:35 UTC
Created attachment 1192634 [details]
maniadrive-1.2-zval_has_no_member_named_type.patch

Already build

Comment 8 Sergio Basto 2016-08-21 18:29:28 UTC
Created attachment 1192635 [details]
maniadrive.spec.patch

need compile against php7

Comment 9 Bruno Wolff III 2016-08-21 19:12:50 UTC
Sergio, thanks for helping. I'll try getting builds done tonight. If I get a successful build, I'll be able to test on f25 tomorrow.
If things work, we still need to get a maintainer. I can do some stuff, but I am not going to be able to handle php with the limited amount of time I have.

Comment 10 Sergio Basto 2016-08-21 19:26:26 UTC
(In reply to Bruno Wolff III from comment #9)
Reading comment #4 , should I take it ? I haven't one F25 system to test graphics, so if you could test it successfully, I may take maniadrive , but also don't have much time, but we may try maintain it for more some time.

Comment 11 Bruno Wolff III 2016-08-22 03:40:16 UTC
I took a look at the patch and you did catch something I missed, but things aren't getting to the point where that problem occurs. We could really use someone who knows the zval stuff well enough to change from php5 to php7.

Comment 12 Hans de Goede 2016-08-22 07:24:18 UTC
(In reply to Sergio Monteiro Basto from comment #10)
> (In reply to Bruno Wolff III from comment #9)
> Reading comment #4 , should I take it ? I haven't one F25 system to test
> graphics

If you're not using php for anything else, you can install the F25 php packages on F24, I did that but quickly gave up (-ENOTIME). IIRC you have to also download libicu from F25 and install that with -ivh so that the new soname lib gets installed in parallel to the F24 one.

Comment 13 Sergio Basto 2016-08-22 14:43:02 UTC
(In reply to Bruno Wolff III from comment #11)
> I took a look at the patch and you did catch something I missed, but things
> aren't getting to the point where that problem occurs. We could really use
> someone who knows the zval stuff well enough to change from php5 to php7.

-	    if(vars[i].type == IS_LONG)
+	    if(Z_TYPE(vars[i]) == IS_LONG)


-       strcpy(raydium_register_variable_addr[i],vars[i].value.str.val);
+       strcpy(raydium_register_variable_addr[i],vars[i].value.str->val);

That is the zval fixes , 2nd I guess by compiler message , but did you test it ? it compiles in F25 , I use mock-rpmfusion-free-25.0-1 to test it

Comment 14 Bruno Wolff III 2016-08-22 14:52:58 UTC
Those changes are in the areas I was having trouble even getting it to compile. I might not get to try this out again until tonight. I'll probably have an update on progress in 10 to 12 hours.

Comment 15 Sergio Basto 2016-08-22 15:04:26 UTC
(In reply to Bruno Wolff III from comment #14)
> Those changes are in the areas I was having trouble even getting it to
> compile.

Like I said it I sure that compiles and build the packages, I have test it with mock ( with new mock configurations for, F25 published on updates-testing ).
I may update my vm to f25 soon ...

Comment 16 Sergio Basto 2016-08-22 15:07:39 UTC
(In reply to Bruno Wolff III from comment #14)
> Those changes are in the areas I was having trouble even getting it to
> compile.

I'm sure that compiles and build the packages, I have test it with mock ( with new mock configurations for F25, published on updates-testing ).
I may update my vm to f25 soon ...

Comment 17 Geoffrey Marr 2016-08-22 22:07:44 UTC
Discussed during the 2016-08-22 blocker review meeting: [1]

The decision to accept this bug as an Alpha AcceptedFreezeException was made as games spin would like to have this back in if it can be fixed, and it does not affect any other images.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-08-22/f25-blocker-review.2016-08-22-16.00.txt

Comment 18 Bruno Wolff III 2016-08-23 01:24:35 UTC
I am still seeing build failures. Your suggestions seem to help, but now I am getting complaints about zend_alter_ini_entry.
The build log will be available for something like two weeks:
https://kojipkgs.fedoraproject.org//work/tasks/3275/15343275/build.log

Comment 19 Sergio Basto 2016-08-23 02:57:55 UTC
(In reply to Bruno Wolff III from comment #18)
> I am still seeing build failures. Your suggestions seem to help, but now I
> am getting complaints about zend_alter_ini_entry.
> The build log will be available for something like two weeks:
> https://kojipkgs.fedoraproject.org//work/tasks/3275/15343275/build.log

I was able to built it, in koji: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=15344307
http://koji.fedoraproject.org/koji/taskinfo?taskID=15344515

Comment 20 Sergio Basto 2016-08-23 03:42:50 UTC
Comment on attachment 1192634 [details]
maniadrive-1.2-zval_has_no_member_named_type.patch

4 fixes to build

Comment 21 Sergio Basto 2016-08-23 03:44:55 UTC
you are missing your patch ( maniadrive-1.2-php7.patch) we need yours maniadrive-1.2-php7.patch + maniadrive-1.2-zval_has_no_member_named_type.patch

Comment 22 Bruno Wolff III 2016-08-23 05:34:13 UTC
Thanks, having an actual src rpm let me collect all of the changes you made, to get it to build. I merged the patches together into maniadrive-1.2-php7.patch.
It has built on rawhide and is building now on f25. When it's done I'll request the build go to testing.
Unless alpha slips we aren't going to get it back for the alpha release. Plus I haven't tested it yet. That will happen tomorrow.

Comment 23 Fedora Update System 2016-08-23 05:43:00 UTC
maniadrive-1.2-65.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-56544277ec

Comment 24 Hans de Goede 2016-08-23 08:57:40 UTC
Hi,

(In reply to Fedora Update System from comment #23)
> maniadrive-1.2-65.fc25 has been submitted as an update to Fedora 25.
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-56544277ec

Cool, thanks to all involved for doing this. So I assume someone has actually played the game and it works ?

Any takers for unorphaning it for F25+ ?

Regards,

Hans

Comment 25 Fedora Update System 2016-08-23 09:23:40 UTC
maniadrive-1.2-65.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-56544277ec

Comment 26 Bruno Wolff III 2016-08-23 12:49:23 UTC
I haven't tested running it yet since I don't have f25 at home yet. I was plsnning on running a quick test at work today, but I am borderline sick and may not go in. Possibly I could try installing php7 on a f24 machine if I stay home.
I figured having an installible build is no worse that the previous situation.
If it does work, I'll take the package and try to get help from Sergio for php stuff when needed.

Comment 27 Adam Williamson 2016-08-23 16:32:50 UTC
It doesn't run, no.

<b>Fatal error</b>:  Cannot redeclare gzdecode() in <b>/usr/share/raydium/rayphp/libfile.php</b> on line <b>161</b><br />

Comment 28 Bruno Wolff III 2016-08-23 19:57:37 UTC
I am sick today and needed to rest. I bet this is a fixable issue, but it probably isn't going to be done in time for the alpha unless it slips a week. With the package being installable, it can be added back to the spin. Adding it back now probably is better if we do get a fix very soon, and if we don't it doesn't really hurt.

Comment 29 Bruno Wolff III 2016-08-23 20:12:07 UTC
I just realized the installable maniadrive is just in testing. So we don't want to add it back just yet.

Comment 30 Adam Williamson 2016-08-23 21:33:52 UTC
I already listed it as an FE for the Alpha compose and filed https://pagure.io/fedora-kickstarts/pull-request/51 . But that didn't get merged before we started the compose, so the package will be in the Alpha Everything tree but not on the Games spin, unless we need a respin.

Comment 31 Bruno Wolff III 2016-08-24 19:34:42 UTC
I got the following, which is a quite different problem on the surface.

Raydium: PHP output is too long, redirected to stdout
<br />
<font size='1'><table class='xdebug-error xe-fatal-error' dir='ltr' border='1' cellspacing='0' cellpadding='1'>
<tr><th align='left' bgcolor='#f57900' colspan="5"><span style='background-color: #cc0000; color: #fce94f; font-size: x-large;'>( ! )</span> Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 140058653166960 bytes) in �E�a on line <i>11</i></th></tr>
</table></font>
Segmentation fault (core dumped)

Comment 32 Fedora Update System 2016-08-25 22:24:47 UTC
maniadrive-1.2-65.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora End Of Life 2017-02-28 10:07:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 34 Fedora End Of Life 2018-05-03 08:32:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 35 Fedora End Of Life 2018-05-29 12:14:59 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.